### Constructor

# Xdp Portal initable_new

since: 0.7

#### Declaration [src]

    XdpPortal*
    xdp_portal_initable_new (
      GError** error
    )

#### Description [src]

Creates a new `XdpPortal` object.

Available since: 0.7

#### Return value

Type: `XdpPortal`

A newly created `XdpPortal` object or NULL on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.